Package org.apache.tapestry5.corelib.pages

## Class PageCatalog

- java.lang.Object
- - org.apache.tapestry5.corelib.pages.PageCatalog

-     @UnknownActivationContextCheck(false)
      @WhitelistAccessOnly
      public class PageCatalog
      extends java.lang.Object

  Lists out the currently loaded pages, using a `Grid`. Provides an option to force all pages to be loaded. In development mode, includes an option to clear the page cache.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BeanModel<Page>` | `model` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PageCatalog()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `formatElapsed​(double millis)` |
    `java.util.List<java.lang.String>` | `getDependencies()` |
    `java.lang.String` | `getDisplayLogicalName()` |
    `java.lang.String` | `getGraphvizValue()` |
    `java.lang.String` | `getLogicalName​(java.lang.String className)` |
    `java.lang.String` | `getPageClassName()` |
    `java.util.List<java.lang.String>` | `getPageNames()` |
    `java.util.Collection<Page>` | `getPages()` |
    `java.lang.String` | `getSelectedPageClassName()` |
    `void` | `onComponentTree​(MarkupWriter writer)` |
    `void` | `onPageStructure​(java.lang.String pageName)` |
    `void` | `onRecomputeTotals()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### model

          @Property
          public static BeanModel<Page> model

  - ### Constructor Detail

    - #### PageCatalog

          public PageCatalog()

  - ### Method Detail

    - #### onRecomputeTotals

          public void onRecomputeTotals()

    - #### getPageNames

          public java.util.List<java.lang.String> getPageNames()

    - #### getPages

          public java.util.Collection<Page> getPages()

    - #### formatElapsed

          public java.lang.String formatElapsed​(double millis)

    - #### getDependencies

          public java.util.List<java.lang.String> getDependencies()

    - #### onPageStructure

          public void onPageStructure​(java.lang.String pageName)

    - #### getDisplayLogicalName

          public java.lang.String getDisplayLogicalName()

    - #### getPageClassName

          public java.lang.String getPageClassName()

    - #### getSelectedPageClassName

          public java.lang.String getSelectedPageClassName()

    - #### onComponentTree

          public void onComponentTree​(MarkupWriter writer)

    - #### getLogicalName

          public java.lang.String getLogicalName​(java.lang.String className)

    - #### getGraphvizValue

          public java.lang.String getGraphvizValue()